Page MenuHomePhabricator

continue: added support for transplant
ClosedPublic

Authored by taapas1128 on Jul 24 2019, 9:04 AM.

Details

Summary

This creates a seperate function continuetransplant()
containing logic for resuming transplant from interrupted
state.
continuetransplant() is then registered as continuefunc
for state detection API.

Results are shown in tests.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

taapas1128 created this revision.Jul 24 2019, 9:04 AM
pulkit added a subscriber: pulkit.Aug 7 2019, 5:57 PM
pulkit added inline comments.
hgext/transplant.py
743

I don't see transplanter modifying opts. So we can directly pass empty dict in both of the above function.

744

return tp.resume(..) will be better here

taapas1128 updated this revision to Diff 16158.Aug 8 2019, 12:11 PM
pulkit added inline comments.Aug 8 2019, 12:29 PM
hgext/transplant.py
737

let's name this function continue only as it's in transplant.py and a continue implies that we are continuing transplant.

taapas1128 marked an inline comment as done.Aug 8 2019, 1:33 PM
taapas1128 updated this revision to Diff 16161.
pulkit accepted this revision.Aug 8 2019, 4:33 PM
This revision is now accepted and ready to land.Aug 8 2019, 4:33 PM
This revision was automatically updated to reflect the committed changes.